For AI agents: the complete documentation index is available at https://docs.snaptrade.com/llms.txt, and the full documentation text is available at https://docs.snaptrade.com/llms-full.txt. Markdown versions of documentation pages are available by appending .md to the URL path.
View as Markdown
Trading

Get crypto pairs

get
https://api.snaptrade.com/accounts/{accountId}/trading/instruments/cryptocurrencyPairs

Searches cryptocurrency pairs instruments accessible to the specified account. Both base and quote are optional. Omit both for a full list of cryptocurrency pairs.

Execute an API Request

Authentication Method

Use commercial authentication when acting on behalf of your application and passing end-user credentials with requests that require them.

Credentials
Path
accountIdstring (format: uuid)required

Unique identifier for the connected brokerage account. This is the UUID used to reference the account in SnapTrade.

Query
basestring

The base currency of a pair (e.g., "BTC" in BTC/USD). Either fiat or cryptocurrency symbol, for fiat use ISO-4217 codes.

quotestring

The quote currency of a pair (e.g., "USD" in BTC/USD). Either fiat or cryptocurrency symbol, for fiat use ISO-4217 codes.

Request
Installation
$
npm install snaptrade-typescript-sdk
1
import {
2
Snaptrade,
3
SnaptradeAuth,
4
} from "snaptrade-typescript-sdk";
5
6
const snaptrade = new Snaptrade({
7
auth: SnaptradeAuth.commercialApiKey({
8
consumerKey: "CONSUMER_KEY",
9
clientId: "CLIENT_ID",
10
}),
11
});
12
13
const response =
14
await snaptrade.trading.searchCryptocurrencyPairInstruments(
15
{
16
accountId:
17
"917c8734-8470-4a3e-a18f-57c3f2ee6631",
18
base: "BTC",
19
quote: "USD",
20
userId: "USER_ID",
21
userSecret: "USER_SECRET",
22
},
23
);
24
console.log(response.data);

Response fields

object

The instruments

itemsarray of objects
1
{
2
"items": [
3
{
4
"symbol": "BTC-USD",
5
"base": "BTC",
6
"quote": "USD",
7
"increment": "0.001"
8
}
9
]
10
}